## org.pentaho.reporting.libraries.formula.function.math
Class AsinFunction

    java.lang.Object
      org.pentaho.reporting.libraries.formula.function.math.AsinFunction

All Implemented Interfaces:
  java.io.Serializable, Function

    public class AsinFunction

extends java.lang.Object
implements Function

This function returns the acos of the value.

Author:
  ocke
See Also:
  Serialized Form

Constructor Summary
`AsinFunction()`

Method Summary
`TypeValuePair` `evaluate(FormulaContext context, ParameterCallback parameters)`
`java.lang.String` `getCanonicalName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsinFunction

    public AsinFunction()

Method Detail

### getCanonicalName

    public java.lang.String getCanonicalName()

  Specified by:
    `getCanonicalName` in interface `Function`

### evaluate

    public TypeValuePair evaluate(FormulaContext context,
                                  ParameterCallback parameters)
                           throws EvaluationException

  Specified by:
    `evaluate` in interface `Function`
  Throws:
    `EvaluationException`